Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Public Member Functions | List of all members
faiss::gpu::GpuResourcesThrustAllocator Class Reference

Allocator for Thrust that comes out of a specified memory space. More...

## Public Types
typedef char | value_type

## Public Member Functions
| GpuResourcesThrustAllocator (void *mem, size_t size)
char * | allocate (std::ptrdiff_t size)
void | deallocate (char *p, size_t size)

## Detailed Description

Allocator for Thrust that comes out of a specified memory space.

Definition at line 18 of file ThrustAllocator.cuh.

The documentation for this class was generated from the following file:

- /data/users/hoss/faiss/gpu/utils/ThrustAllocator.cuh